<?php

defined('BASEPATH') OR exit('No direct script access allowed');

class Migration_Tbl_price extends TT_migration {

    const table_name = 'tbl_price';

    public function up() {
        $this->field_name('price_id')->type('INT')->size(7)->set_null()->auto_increment()->generate();
        // 'TK=1,USD=2'
        $this->field_name('price_currency')->type('TINYINT')->size(1)->set_null()->generate();
        $this->field_name('price')->type('DECIMAL')->size('10,2')->set_null()->generate();
        // 'Course=1; Video_Course=2;participant_quiz=3;corporte_quiz=4;',
        $this->field_name('price_type')->type('TINYINT')->size(1)->set_null()->generate();
        $this->field_name('price_type_id')->type('INT')->size(11)->set_null()->generate();
        $this->set_primary_key('price_id')->set_table_name(self::table_name)->create();
    }

    public function down() {
        
    }

}
